App\Library\Amazon\Classes\Autooil:
    xml_root_name: Autooil
    properties:
        partInterchangeData:
            expose: true
            access_type: public_method
            serialized_name: PartInterchangeData
            accessor:
                getter: getPartInterchangeData
                setter: setPartInterchangeData
            type: App\Library\Amazon\Classes\Autooil\PartInterchangeDataAType
        viscosity:
            expose: true
            access_type: public_method
            serialized_name: Viscosity
            accessor:
                getter: getViscosity
                setter: setViscosity
            type: string
        warrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: WarrantyDescription
            accessor:
                getter: getWarrantyDescription
                setter: setWarrantyDescription
            type: string
        efficiency:
            expose: true
            access_type: public_method
            serialized_name: Efficiency
            accessor:
                getter: getEfficiency
                setter: setEfficiency
            type: string
        material:
            expose: true
            access_type: public_method
            serialized_name: Material
            accessor:
                getter: getMaterial
                setter: setMaterial
            type: string
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\Autooil\VariationDataAType
        colorSpecification:
            expose: true
            access_type: public_method
            serialized_name: ColorSpecification
            accessor:
                getter: getColorSpecification
                setter: setColorSpecification
            type: App\Library\Amazon\Classes\Autooil\ColorSpecificationAType
        size:
            expose: true
            access_type: public_method
            serialized_name: Size
            accessor:
                getter: getSize
                setter: setSize
            type: string
        sizeMap:
            expose: true
            access_type: public_method
            serialized_name: SizeMap
            accessor:
                getter: getSizeMap
                setter: setSizeMap
            type: string
